local mod = MorgDKP2:NewModule("FixedDKP")
local L = LibStub("AceLocale-3.0"):GetLocale("MorgDKP2")
local media = LibStub("LibSharedMedia-3.0", true)
local BC = LibStub("LibBabble-Class-3.0"):GetLookupTable()

local mdkp = MorgDKP2

--locals
local LL = LibStub("AceLocale-3.0"):NewLocale("FixedDKP", "enUS", true)
	
if LL then
	LL["Fixed DKP"] = true
	LL["Enable"] = true
	LL["Standard DKP system."] = true
	LL["%s received %s for %s DKP"] = true
end

local LL = LibStub("AceLocale-3.0"):GetLocale("FixedDKP")

mod.modName = LL["Fixed DKP"]
mod.modref = "FixedDKP"

local Player = UnitName("player")
local db
local fmt = string.format

local defaults = { 
	profile = {
		
	},
}

local options = {
		type = "group",
		handler = mod,
		name = LL["Fixed DKP"],
		desc = LL["Fixed DKP"],
		order = 360,
		args = {
			enable = {
				type = "toggle",
				name = LL["Enable"],
				desc = LL["Standard DKP system."],
				get = function() return mdkp.db.profile.modules.FixedDKP end,
				set = 	function(info, v) 
						mdkp.db.profile.modules.FixedDKP = not v
						if v then 
							mod:DKPChange(mod.modName)
						else 
							mod:Disable()
							mdkp.db.profile.currDKP = nil 	
						end
					end,
				order = 5
			},
		},
}

function mod:GetOptions()
	return options
end

function mod:GetName()
	return mod.modName, mod.modref
end

function mod:IsDKP()
	return true
end

function mod:OnInitialize()
	self.db = mdkp.db:RegisterNamespace("FixedDKP", defaults)
	
end

function mod:OnEnable()
	db = mdkp.db.profile
	db.moduleON["FixedDKP"] = true
end

function mod:OnDisable()
	db.moduleON["FixedDKP"] = nil
				
end

function mod:GetPlayerPoints(name, POOL)
	return db.info[name][POOL].points
end

function mod:GetItemValue(itemid)
	return db.items[itemid].points
end

function mod:ItemRecorded(id, looter, POOL, points, itempoints, link)
	points = points - itempoints
	db.info[looter][POOL].points = points
	db.info[looter][POOL].spent = db.info[looter][POOL].spent + itempoints
	db.info[looter].raidloot = 1
	db.info[looter].lastupdate = self:GetServerTime()
	self:out(fmt(LL["%s received %s for %s DKP"], looter, link, itempoints)) 
end
