local mod = MorgDKP2:NewModule("Zerosum")
local L = LibStub("AceLocale-3.0"):GetLocale("MorgDKP2")
local media = LibStub("LibSharedMedia-3.0", true)
local BC = LibStub("LibBabble-Class-3.0"):GetLookupTable()

local mdkp = MorgDKP2

--locals
local LL = LibStub("AceLocale-3.0"):NewLocale("Zerosum", "enUS", true)
	
if LL then
	LL["Zerosum DKP"] = true
	LL["Enable"] = true
	LL["Standard zero sum system where member is charged for the item and the charged points are divided between all raid members."] = true
	LL["%s received %s for %s DKP"] = true
	LL["Added %s DKP points to %s attendees."] = true
end

local LL = LibStub("AceLocale-3.0"):GetLocale("Zerosum")

mod.modName = LL["Zerosum DKP"]
mod.modref = "Zerosum"

local Player = UnitName("player")
local db
local fmt = string.format

local defaults = { 
	profile = {
		
	},
}

local options = {
		type = "group",
		handler = mod,
		name = LL["Zerosum DKP"],
		desc = LL["Zerosum DKP"],
		order = 360,
		args = {
			enable = {
				type = "toggle",
				name = LL["Enable"],
				desc = LL["Standard zero sum system where member is charged for the item and the charged points are divided between all raid members."],
				get = function() return mdkp.db.profile.modules.Zerosum end,
				set = 	function(info, v) 
						mdkp.db.profile.modules.Zerosum = v
						if v then 
							--mod:Enable()
							mod:DKPChange(mod.modName)
						else 
							mod:Disable()
							mdkp.db.profile.currDKP = nil 	
						end
					end,
				order = 5
			},
		},
}

function mod:GetOptions()
	return options
end

function mod:IsDKP()
	return true
end

function mod:GetName()
	return mod.modName, mod.modref
end

function mod:OnInitialize()
	self.db = mdkp.db:RegisterNamespace("Zerosum", defaults)
	
end

function mod:OnEnable()
	db = mdkp.db.profile
	db.moduleON["Zerosum"] = true
	
end

function mod:OnDisable()
	db.moduleON["Zerosum"] = nil
	--if db.currDKP == "Zerosum" then db.currDKP = nil end						
end

function mod:GetPlayerPoints(name, POOL)
	return db.info[name][POOL].points
end

function mod:GetItemValue(itemid)
	return db.items[itemid].points
end

function mod:ItemRecorded(id, looter, POOL, points, itempoints, link)
	local ttime = self:GetServerTime()
	points = points - itempoints
	db.info[looter][POOL].points = points
	db.info[looter][POOL].spent = db.info[looter][POOL].spent + itempoints
	db.info[looter].raidloot = 1
	db.info[looter].lastupdate = ttime
	self:out(fmt(LL["%s received %s for %s DKP"], looter, link, itempoints))
	
	--add zero sum points
	if itempoints == 0 then return end
	addpoints = floor((itempoints / GetNumRaidMembers()) + 0.5)
	local counter = 0
	for name in pairs(mdkp.roster) do
    		db.info[name][POOL].points = db.info[name][POOL].points + addpoints
		db.info[name][POOL].earned = db.info[name][POOL].earned + addpoints
		db.info[name].lastupdate = update
		counter = counter + 1
	end
	self:out(fmt(LL["Added %s DKP points to %s attendees."], addpoints, counter))
end
